package com.ruoyi.dxp.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 整合数据对象 dxp_data_integration
 *
 * @author jy
 * @date 2022-11-23
 */
public class DataIntegration extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long id;

    /** 目录id */
    @Excel(name = "目录id")
    private Long catalogueId;

    /** 数据库id */
    @Excel(name = "数据库id")
    private Long databaseId;

    /** 表id */
    @Excel(name = "表id")
    private Long tableId;

    /** 表名 */
    @Excel(name = "表名")
    private String tableName;

    /** 数据名称 */
    @Excel(name = "数据名称")
    private String dataName;

    /** 信息标识符 */
    @Excel(name = "信息标识符")
    private String infoId;

    /** 标签：多个逗号间隔 */
    @Excel(name = "标签：多个逗号间隔")
    private String tag;

    /** 提供机构：关联字典 */
    @Excel(name = "提供机构：关联字典")
    private String provideOrganization;

    /** 状态：0待审核，1审核通过，2驳回 */
    @Excel(name = "状态：0待审核，1审核通过，2驳回")
    private String status;

    /** 是否元数据（1是） */
    @Excel(name = "是否元数据", readConverterExp = "1=是")
    private String isMetadata;

    /** 上传元数据文件 */
    @Excel(name = "上传元数据文件")
    private String metadataUrl;

    /** 验重字段 */
    @Excel(name = "验重字段")
    private String repetitionField;

    /** 删除标志（0代表存在 2代表删除） */
    private String delFlag;

    private Boolean isBind;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setCatalogueId(Long catalogueId)
    {
        this.catalogueId = catalogueId;
    }

    public Long getCatalogueId()
    {
        return catalogueId;
    }
    public void setDatabaseId(Long databaseId)
    {
        this.databaseId = databaseId;
    }

    public Long getDatabaseId()
    {
        return databaseId;
    }
    public void setTableId(Long tableId)
    {
        this.tableId = tableId;
    }

    public Long getTableId()
    {
        return tableId;
    }
    public void setTableName(String tableName)
    {
        this.tableName = tableName;
    }

    public String getTableName()
    {
        return tableName;
    }
    public void setDataName(String dataName)
    {
        this.dataName = dataName;
    }

    public String getDataName()
    {
        return dataName;
    }
    public void setInfoId(String infoId)
    {
        this.infoId = infoId;
    }

    public String getInfoId()
    {
        return infoId;
    }
    public void setTag(String tag)
    {
        this.tag = tag;
    }

    public String getTag()
    {
        return tag;
    }
    public void setProvideOrganization(String provideOrganization)
    {
        this.provideOrganization = provideOrganization;
    }

    public String getProvideOrganization()
    {
        return provideOrganization;
    }
    public void setStatus(String status)
    {
        this.status = status;
    }

    public String getStatus()
    {
        return status;
    }
    public void setIsMetadata(String isMetadata)
    {
        this.isMetadata = isMetadata;
    }

    public String getIsMetadata()
    {
        return isMetadata;
    }
    public void setMetadataUrl(String metadataUrl)
    {
        this.metadataUrl = metadataUrl;
    }

    public String getMetadataUrl()
    {
        return metadataUrl;
    }
    public void setRepetitionField(String repetitionField)
    {
        this.repetitionField = repetitionField;
    }

    public String getRepetitionField()
    {
        return repetitionField;
    }
    public void setDelFlag(String delFlag)
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag()
    {
        return delFlag;
    }

    public Boolean getIsBind() {
        return isBind;
    }

    public void setIsBind(Boolean isBind) {
        this.isBind = isBind;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("catalogueId", getCatalogueId())
                .append("databaseId", getDatabaseId())
                .append("tableId", getTableId())
                .append("tableName", getTableName())
                .append("dataName", getDataName())
                .append("infoId", getInfoId())
                .append("tag", getTag())
                .append("provideOrganization", getProvideOrganization())
                .append("status", getStatus())
                .append("isMetadata", getIsMetadata())
                .append("metadataUrl", getMetadataUrl())
                .append("repetitionField", getRepetitionField())
                .append("remark", getRemark())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .append("delFlag", getDelFlag())
                .toString();
    }
}
